Description

History

#1 - 01/24/2011 10:51 AM - Redmine Admin

- Assignee set to Miroslav Fidler

#2 - 01/25/2011 08:11 PM - Miroslav Fidler

- Priority changed from Normal to High

#3 - 02/20/2011 08:00 PM - Miroslav Fidler

- Status changed from New to In Progress

- Assignee changed from Miroslav Fidler to Tomas Rylek

Attempted to sort it out.

New methods: GetError and GetErrorDesc added, that terrible piece of code to handle MT removed.

is_error is removed from Data.

I have tried to blind fix SSL as well, but it definitely needs more checking.

Please check and finish fixes in SSL.

#4 - 02/22/2011 11:58 AM - Tomas Rylek

- Status changed from In Progress to Ready for QA

Built SSL socket support and tested on a https server. Fixed a few error handling issues (extended three-parameter version of

Socket::Data::SetSockError, SSL_get_shutdown check in SSLSocketData::Read to check for graceful SSL socket shutdown). Seems to work :-).

#5 - 02/22/2011 11:59 AM - Tomas Rylek

- Status changed from Ready for QA to Approved
